## libadwaita-1 1.1.0

=== meson_options.txt ===
# Performance and debugging related options
option('profiling', type: 'boolean', value: false)

option('introspection', type: 'feature', value: 'auto')
option('vapi', type: 'boolean', value: true)

# Subproject
option('package_subdir', type: 'string',
  description: 'Subdirectory to append to all installed files, for use as subproject'
)

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for libadwaita')

option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('examples',
       type: 'boolean', value: true,
       description: 'Build and install the examples and demo applications (currently not built for MSVC builds)')

=== debian/changelog ===
libadwaita-1 (1.1.0-1ubuntu2) jammy; urgency=medium

  * Depend on gsettings-desktop-schemas, needed for yaru patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 06 Apr 2022 16:03:48 -0400

libadwaita-1 (1.1.0-1ubuntu1) jammy; urgency=medium

  * debian/control: Add libxml2-utils as B-D to get xmllint
  * debian: Prepare for ubuntu branching
  * debian/patches: Support yaru accent colors using adwaita theming
    (LP: #1967777)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 Apr 2022 17:33:10 +0200

libadwaita-1 (1.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 11:31:38 -0400

libadwaita-1 (1.1~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 11:13:40 -0500

libadwaita-1 (1.1~beta-1) unstable; urgency=medium

  * New upstream release
  * deiban/libadwaita-1-0.symbols: Add new symbols

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 10:20:48 -0500

libadwaita-1 (1.0.2-2) unstable; urgency=medium

  * Build-Depend on gi-docgen
  * Add libadwaita-1-doc package

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Feb 2022 09:32:39 -0500

libadwaita-1 (1.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Feb 2022 09:25:25 -0500

libadwaita-1 (1.0.1-2) unstable; urgency=medium

  * debian/libadwaita-1.0.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.6.0
  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Feb 2022 05:57:19 -0500

libadwaita-1 (1.0.1-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Update packaging for Debian GNOME team style

  [ Guido Günther ]
  * Fix LGPL license text

  [ Simon McVittie ]
  * New upstream release
  * d/control: Update build-dependencies
  * d/copyright: Update
  * Install supporting files for the example
  * Update symbols file, ignoring ABI breaks between alpha and final release
  * d/tests/python-gi-test: Stop using a class that was removed

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Jan 2022 21:35:38 +0000

libadwaita-1 (1.0.0~alpha.2-1) experimental; urgency=medium

  * Initial upload to experimental (Closes: #993598)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Sep 2021 16:25:01 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libadwaita-1
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gi-docgen <!nodoc>,
               libgirepository1.0-dev,
               libgnome-desktop-3-dev,
               libglib2.0-dev (>= 2.66.0),
               libgtk-4-dev (>= 4.5.0),
               libxml2-utils,
               meson (>= 0.59.0),
               pkg-config,
               python3-gi (>= 3.40) <!nocheck>,
               sassc,
               valac (>= 0.20),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.0
Homepage: https://gitlab.gnome.org/GNOME/libadwaita
Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/master
Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/master
Rules-Requires-Root: no

Package: libadwaita-1-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gsettings-desktop-schemas
Description: Library with GTK widgets for mobile phones
 libadwaita provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains the shared library.

Package: libadwaita-1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-adw-1 (= ${binary:Version}),
         libadwaita-1-0 (= ${binary:Version}),
         libgtk-4-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkg-config
Suggests: libadwaita-1-doc
Description: Development files for libadwaita
 libadwaita provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains the development files.

Package: gir1.2-adw-1
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection files for libadwaita
 libadwaita provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libadwaita-1-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Documentation for libadwaita
 libadwaita provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains the API reference.

Package: libadwaita-1-examples
Section: x11
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Example programs for libadwaita
 libadwaita provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains example files and the demonstration program for
 libadwaita.

=== debian/tests/control ===
Tests: build-test
Depends: build-essential,
         libadwaita-1-dev,
         pkg-config,
         xauth,
         xvfb
Restrictions: allow-stderr

Tests: python-gi-test
Depends: gir1.2-adw-1,
         python3,
         python3-gi
Restrictions: allow-stderr

## libadwaita-1 1.1.7

=== debian/changelog ===
libadwaita-1 (1.1.7-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2023548)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 12 Jun 2023 15:07:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -26,8 +26,8 @@
                xvfb <!nocheck>
 Standards-Version: 4.6.0
 Homepage: https://gitlab.gnome.org/GNOME/libadwaita
-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/master
-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/jammy
 Rules-Requires-Root: no
 
 Package: libadwaita-1-0

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

BUILD_DOCS := -Dgtk_doc=false
# only build if the profile nodoc is NOT set
ifeq ($(filter nodoc, $(DEB_BUILD_OPTIONS)),)
BUILD_DOCS := -Dgtk_doc=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_DOCS)

override_dh_auto_test:
	xvfb-run -s -noreset dh_auto_test

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/libadwaita/cache.json \
	[\d.]+/libadwaita-@ANY_VERSION@@ARCHIVE_EXT@

## libadwaita-1 1.2.0

=== debian/changelog ===
libadwaita-1 (1.2.0-1ubuntu2) kinetic; urgency=medium

  * debian/patches: Compute the fg accent color taking care of contrast with bg
    (LP: #1989822)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 16 Sep 2022 01:51:02 +0200

libadwaita-1 (1.2.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Depend on gsettings-desktop-schemas, needed for yaru patch
    - debian/patches: Support yaru accent colors using adwaita theming

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 13:12:15 -0400

libadwaita-1 (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 13:05:06 -0400

libadwaita-1 (1.2~rc-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Depend on gsettings-desktop-schemas, needed for yaru patch
    - debian/patches: Support yaru accent colors using adwaita theming

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 15:02:23 -0400

libadwaita-1 (1.2~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Only watch for stable releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 14:59:46 -0400

libadwaita-1 (1.2~beta-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Depend on gsettings-desktop-schemas, needed for yaru patch
    - debian/patches: Support yaru accent colors using adwaita theming

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 17:09:34 -0400

libadwaita-1 (1.2~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/libadwaita-1.0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 18:21:01 -0400

libadwaita-1 (1.2~alpha-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Depend on gsettings-desktop-schemas, needed for yaru patch
    - debian/patches: Support yaru accent colors using adwaita theming
  * Refresh Yaru patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 21:42:13 +0200

libadwaita-1 (1.2~alpha-1) unstable; urgency=medium

  * New upstream release
  * debian/libadwaita-1-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 16:07:50 +0200

libadwaita-1 (1.1.2-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Depend on gsettings-desktop-schemas, needed for yaru patch
    - debian/patches: Support yaru accent colors using adwaita theming

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 03 Jun 2022 11:05:32 -0300

libadwaita-1 (1.1.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 14:48:22 +0200

libadwaita-1 (1.1.2-1) unstable; urgency=medium

  * Team upload

  [ Nathan Pratta Teodosio ]
  * New upstream release

  [ Jeremy Bicha ]
  * Mark autopkgtests as superficial

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 03 Jun 2022 11:05:32 -0300

libadwaita-1 (1.1.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1970758)

  [ Marco Trevisan (Treviño) ]
  * debian/control: Add libxml2-utils as B-D to get xmllint

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Apr 2022 10:14:08 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -26,16 +26,15 @@
                xvfb <!nocheck>
 Standards-Version: 4.6.0
 Homepage: https://gitlab.gnome.org/GNOME/libadwaita
-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/jammy
-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/master
 Rules-Requires-Root: no
 
 Package: libadwaita-1-0
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         gsettings-desktop-schemas
+         ${shlibs:Depends}
 Description: Library with GTK widgets for mobile phones
  libadwaita provides GTK widgets and GObjects to ease developing
  applications for mobile phones.

## libadwaita-1 1.2.1

=== debian/changelog ===
libadwaita-1 (1.2.1-2) unstable; urgency=medium

  * debian/tests/build-test: Set GTK_A11Y=none
  * debian/control.in: Bump Standards-Version to 4.6.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Jan 2023 14:21:14 -0500

libadwaita-1 (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2023 14:18:28 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: libadwaita-1
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -24,10 +23,10 @@
                valac (>= 0.20),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/GNOME/libadwaita
-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/master
-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
+Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
 Rules-Requires-Root: no
 
 Package: libadwaita-1-0

## libadwaita-1 1.2.2

=== debian/changelog ===
libadwaita-1 (1.2.2-1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf, debian/control.in: Branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 10:12:10 -0500

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
                xvfb <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/GNOME/libadwaita
-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/debian/bookworm
+Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b debian/bookworm
 Rules-Requires-Root: no
 
 Package: libadwaita-1-0

=== debian/tests/control ===
Tests: build-test
Depends: build-essential,
         libadwaita-1-dev,
         pkg-config,
         xauth,
         xvfb
Restrictions: superficial

Tests: python-gi-test
Depends: gir1.2-adw-1,
         python3,
         python3-gi
Restrictions: superficial

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/libadwaita/cache.json \
	[\d.]+/libadwaita-([\d.]+)@ARCHIVE_EXT@

## libadwaita-1 1.3.1

=== debian/changelog ===
libadwaita-1 (1.3.1-1ubuntu2) lunar; urgency=medium

  * debian/patches: Improve computation of optimized accent color.
    Use actual background colors as constrant
  * debian/patches: Optimize accent color contrast for dark themes
  * debian/patches: Actually use yaru colors on backgrounds.
    It was already the case in the past but some upstream definitions
    changed and so the injected code.
  * debian/patches: Optimize contrast for accented hyperlinks
  * debian/patches: Cherry-pick upstream fixes from stable branch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 27 Mar 2023 18:43:34 +0200

libadwaita-1 (1.3.1-1ubuntu1) lunar; urgency=medium

  * Merge with debian, including new upstream release
  * debian/patches: Do not crash if setting a theme with Yaru prefix
  * debian/patches: Expose yaru accent color as style manager property
  * Remaining changes with debian:
  - debian/patches: Support yaru accent colors using adwaita theming

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 01:28:53 +0100

libadwaita-1 (1.3.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Use semi-transparent icons and pictures when disabled

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 01:25:04 +0100

libadwaita-1 (1.3~rc-1ubuntu1) lunar; urgency=medium

  * Merge with debian, including new upstream release
  * debian/patch: Update Yaru accent colors support
  * Remaining changes with debian:
    - debian/patches: Support yaru accent colors using adwaita theming

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Mar 2023 04:10:28 +0100

libadwaita-1 (1.3~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gtk4 to 4.9.5

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 13:13:06 -0500

libadwaita-1 (1.3~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum GTK4 to 4.9.3
  * debian/libadwaita-1.0.symbols: Add new symbols
  * Revert branching for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 13:30:59 -0500

libadwaita-1 (1.3~alpha-0ubuntu2) UNRELEASED; urgency=medium

  * Merge changes from 1.2.1-2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Jan 2023 16:00:44 -0500

libadwaita-1 (1.3~alpha-0ubuntu1) lunar; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum GTK4 to 4.9.2
  * debian/libadwaita-1.0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Jan 2023 14:01:27 -0500

libadwaita-1 (1.2.1-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Depend on gsettings-desktop-schemas, needed for yaru patch
    - debian/patches: Support yaru accent colors using adwaita theming

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 11 Jan 2023 08:31:45 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: libadwaita-1
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -13,8 +14,8 @@
                gi-docgen <!nodoc>,
                libgirepository1.0-dev,
                libgnome-desktop-3-dev,
-               libglib2.0-dev (>= 2.66.0),
-               libgtk-4-dev (>= 4.5.0),
+               libglib2.0-dev (>= 2.72.0),
+               libgtk-4-dev (>= 4.9.5),
                libxml2-utils,
                meson (>= 0.59.0),
                pkg-config,
@@ -25,8 +26,8 @@
                xvfb <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/GNOME/libadwaita
-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/debian/bookworm
-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b debian/bookworm
+Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/master
 Rules-Requires-Root: no
 
 Package: libadwaita-1-0
@@ -46,7 +47,7 @@
 Section: libdevel
 Depends: gir1.2-adw-1 (= ${binary:Version}),
          libadwaita-1-0 (= ${binary:Version}),
-         libgtk-4-dev,
+         libgtk-4-dev (>= 4.9.5),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: pkg-config

## libadwaita-1 1.3.3

=== debian/changelog ===
libadwaita-1 (1.3.3-0ubuntu0.23.04.1) lunar; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release (LP: #2023411):
    - tab: Add a default handler to extra-drag-value
    - Update Brazilian Portuguese translation
    - carousel: Fix scrolling to a recently inserted item
    - style-manager: Fix get_for_display annotation
    - doc: Drop --add-include-path
    - Update Slovak translation
  * debian/control: Update vcs references to ubuntu/lunar branch
  * debian/patches: Reuse GSettings implementation for yaru accents
    (LP: #2013126)

  [ Grigorii Khvatskii ]
  * debian/patches: Always init gsettings and legacy settings backends
    (LP: #2013126)

  [ Lukáš Tyrychtr ]
  * a11y: Fix AdwEntryRow accessibility, again (LP: #2015760)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 12 Jun 2023 14:27:11 +0200

libadwaita-1 (1.3.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (LP: #2019989)
  * autopkgtest: Run python test through xvfb, required by GTK 4.10.2
  * Drop 3 cherry-picked patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 May 2023 10:11:22 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -26,8 +26,8 @@
                xvfb <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/GNOME/libadwaita
-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/master
-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/lunar
+Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/lunar
 Rules-Requires-Root: no
 
 Package: libadwaita-1-0

=== debian/tests/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
          xvfb
 Restrictions: superficial
 
-Tests: python-gi-test
+Test-Command: xvfb-run -a ./debian/tests/python-gi-test
 Depends: gir1.2-adw-1,
          python3,
-         python3-gi
+         python3-gi,
+         xauth,
+         xvfb
 Restrictions: superficial

## libadwaita-1 1.4~beta

=== debian/changelog ===
libadwaita-1 (1.4~beta-2ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/patches: Support yaru accent colors using adwaita theming
    - debian/patches: Use semi-transparent icons and pictures when disabled
  * debian/patches: Rebase

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Aug 2023 02:15:02 +0200

libadwaita-1 (1.4~beta-2) experimental; urgency=medium

  * debian/control.in: Have -dev package depend on libappstream-dev
    to match the pkgconfig file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 09 Aug 2023 10:25:41 -0400

libadwaita-1 (1.4~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimium GTK to 4.12.0
  * debian/control.in: Build-Depend on libappstream-dev
  * debian/libadwaita-1.0.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 09 Aug 2023 10:02:08 -0400

libadwaita-1 (1.3.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 10:03:31 -0400

libadwaita-1 (1.3.3-2) unstable; urgency=medium

  * Release to unstable (Closes: #1041260)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Jul 2023 07:55:29 -0400

libadwaita-1 (1.3.3-1ubuntu1) mantic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with Debian. Remaining changes:
    - debian/patches: Support yaru accent colors using adwaita theming
  * debian/patches: refresh
  * debian/patches: Reuse GSettings implementation for yaru accents
    (LP: #2013126)

  [ Grigorii Khvatskii ]
  * debian/patches: Always init gsettings and legacy settings backends
    (LP: #2013126)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 09 Jun 2023 21:29:44 +0200

libadwaita-1 (1.3.3-1) experimental; urgency=medium

  * New upstream release (LP: #2023411)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 09 Jun 2023 20:04:20 +0200

libadwaita-1 (1.3.2-1ubuntu2) mantic; urgency=medium

  * Restore updates to the accent color patch from 1.3.1-1ubuntu2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 May 2023 07:28:47 -0400

libadwaita-1 (1.3.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Depend on gsettings-desktop-schemas, needed for yaru patch
    - debian/patches: Support yaru accent colors using adwaita theming

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 May 2023 10:14:21 -0400

libadwaita-1 (1.3.2-1) experimental; urgency=medium

  * New upstream release
  * autopkgtest: Run python test through xvfb, required by GTK 4.10.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 May 2023 10:11:22 -0400

## libadwaita-1 1.4.0

=== debian/changelog ===
libadwaita-1 (1.4.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to support Yaru accent colors using Adwaita theming

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Sep 2023 14:02:13 -0400

libadwaita-1 (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Sep 2023 13:57:32 -0400

libadwaita-1 (1.4~rc-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to support Yaru accent colors using Adwaita theming

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 10:53:28 -0400

libadwaita-1 (1.4~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: minor updates

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 10:47:25 -0400

libadwaita-1 (1.4~beta-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 27 Aug 2023 20:50:09 -0400

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                gi-docgen <!nodoc>,
+               libappstream-dev,
                libgirepository1.0-dev,
                libgnome-desktop-3-dev,
-               libglib2.0-dev (>= 2.72.0),
-               libgtk-4-dev (>= 4.9.5),
+               libglib2.0-dev (>= 2.76.0),
+               libgtk-4-dev (>= 4.12.0),
                libxml2-utils,
                meson (>= 0.59.0),
                pkg-config,
@@ -26,8 +27,8 @@
                xvfb <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/GNOME/libadwaita
-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/lunar
-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/lunar
+Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/master
 Rules-Requires-Root: no
 
 Package: libadwaita-1-0
@@ -47,7 +48,8 @@
 Section: libdevel
 Depends: gir1.2-adw-1 (= ${binary:Version}),
          libadwaita-1-0 (= ${binary:Version}),
-         libgtk-4-dev (>= 4.9.5),
+         libappstream-dev,
+         libgtk-4-dev (>= 4.12.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: pkg-config

## libadwaita-1 1.4.2

=== debian/changelog ===
libadwaita-1 (1.4.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to support Yaru accent colors using Adwaita theming

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 17 Dec 2023 13:23:40 -0500

libadwaita-1 (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 17:19:41 -0500

libadwaita-1 (1.4.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to support Yaru accent colors using Adwaita theming

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Dec 2023 12:10:16 -0500

libadwaita-1 (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Dec 2023 12:08:23 -0500

libadwaita-1 (1.4.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Stop generating from d/control.in
  * d/control: Build-depend on GIR XML included by Adw-1.gir.
    This will help with separating GIR XML out from -dev packages in
    future (Helps: #1030223)
  * d/control: Add ${gir:Provides}, ${gir:Depends} to -dev package
    (Helps: #1030223)
  * Don't build documentation unless building Architecture: all packages.
    This avoids redundantly building the documentation on every
    architecture's buildd: we only need to build it on the Architecture:
    all buildd, or when doing a combined any+all build.

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Nov 2023 12:26:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libadwaita-1
 Section: libs
 Priority: optional
@@ -11,7 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gi-docgen <!nodoc>,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gtk-4.0-dev,
                libappstream-dev,
                libgirepository1.0-dev,
                libgnome-desktop-3-dev,
@@ -25,6 +22,7 @@
                valac (>= 0.20),
                xauth <!nocheck>,
                xvfb <!nocheck>
+Build-Depends-Indep: gi-docgen <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/GNOME/libadwaita
 Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/master
@@ -50,10 +48,12 @@
          libadwaita-1-0 (= ${binary:Version}),
          libappstream-dev,
          libgtk-4-dev (>= 4.12.0),
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: pkg-config
 Suggests: libadwaita-1-doc
+Provides: ${gir:Provides}
 Description: Development files for libadwaita
  libadwaita provides GTK widgets and GObjects to ease developing
  applications for mobile phones.

## libadwaita-1 1.5~beta

=== debian/changelog ===
libadwaita-1 (1.5~beta-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to support Yaru accent colors using Adwaita theming

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Feb 2024 18:59:31 -0500

libadwaita-1 (1.5~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/libadwaita-1-0.symbols: Add new symbols
  * autopkgtest: Allow stderr for mesa's zink errors

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Feb 2024 16:01:14 -0500

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                gir1.2-gtk-4.0-dev,
                libappstream-dev,
                libgirepository1.0-dev,
+               libglib2.0-dev (>= 2.76.0),
                libgnome-desktop-3-dev,
-               libglib2.0-dev (>= 2.76.0),
                libgtk-4-dev (>= 4.12.0),
                libxml2-utils,
                meson (>= 0.59.0),
-               pkg-config,
+               pkgconf,
                python3-gi (>= 3.40) <!nocheck>,
                sassc,
                valac (>= 0.20),

=== debian/tests/control ===
Tests: build-test
Depends: build-essential,
         libadwaita-1-dev,
         pkg-config,
         xauth,
         xvfb
Restrictions: allow-stderr, superficial

Test-Command: xvfb-run -a ./debian/tests/python-gi-test
Depends: gir1.2-adw-1,
         python3,
         python3-gi,
         xauth,
         xvfb
Restrictions: allow-stderr, superficial

## libadwaita-1 1.5.0

=== debian/changelog ===
libadwaita-1 (1.5.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:39:13 +0000

libadwaita-1 (1.5.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patch to support Yaru accent colors using Adwaita theming
    - Drop all revert patches
    - Set minimum GTK4 to 4.13.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 15:37:01 -0400

libadwaita-1 (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 15:35:07 -0400

libadwaita-1 (1.5~rc-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to support Yaru accent colors using Adwaita theming
  * Drop all revert patches
  * Set minimum GTK4 to 4.13.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 09:35:48 -0500

libadwaita-1 (1.5~rc-1) unstable; urgency=medium

  * New upstream release
  * Revert 3 commits bumping minimum GTK4
  * Set LIBGL_ALWAYS_SOFTWARE=true in autopkgtests instead of allow-stderr

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 09:14:27 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.76.0),
                libgnome-desktop-3-dev,
-               libgtk-4-dev (>= 4.12.0),
+               libgtk-4-dev (>= 4.13.4),
                libxml2-utils,
                meson (>= 0.59.0),
                pkgconf,
@@ -24,9 +24,9 @@
                xvfb <!nocheck>
 Build-Depends-Indep: gi-docgen <!nodoc>
 Standards-Version: 4.6.2
-Homepage: https://gitlab.gnome.org/GNOME/libadwaita
-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/master
-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/master
+Homepage: https://gnome.pages.gitlab.gnome.org/libadwaita/
+Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/latest
+Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/latest
 Rules-Requires-Root: no
 
 Package: libadwaita-1-0
@@ -47,11 +47,11 @@
 Depends: gir1.2-adw-1 (= ${binary:Version}),
          libadwaita-1-0 (= ${binary:Version}),
          libappstream-dev,
-         libgtk-4-dev (>= 4.12.0),
+         libgtk-4-dev (>= 4.13.4),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: pkg-config
+Recommends: pkgconf
 Suggests: libadwaita-1-doc
 Provides: ${gir:Provides}
 Description: Development files for libadwaita

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

ifneq ($(filter %-doc,$(built_binaries)),)
BUILD_DOCS := -Dgtk_doc=true
else
BUILD_DOCS := -Dgtk_doc=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_DOCS)

override_dh_auto_test:
	xvfb-run -s -noreset dh_auto_test

override_dh_gnome_clean:

=== debian/tests/control ===
Tests: build-test
Depends: build-essential,
         libadwaita-1-dev,
         pkg-config,
         xauth,
         xvfb
Restrictions: superficial

Test-Command: LIBGL_ALWAYS_SOFTWARE=true xvfb-run -a ./debian/tests/python-gi-test
Depends: gir1.2-adw-1,
         python3,
         python3-gi,
         xauth,
         xvfb
Restrictions: superficial

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/libadwaita/cache.json \
	[\d.]+/libadwaita-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@

## libadwaita-1 1.5.0-1mint1+zara

=== debian/changelog ===
libadwaita-1 (1.5.0-1mint1+zara) zara; urgency=medium

  [ Michael Webster ]
  * adw-style-manager.c: Try to use the current system theme for style info.
  * build: Install a copy of the default theme as 'LibAdwaita' as part of the libadwaita-1-examples package.
  * AdwSettings: Watch for theme name changes via xdg-portal or gsettings.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 May 2025 12:07:51 +0100

## libadwaita-1 1.5.0-1mint2+zara

=== debian/changelog ===
libadwaita-1 (1.5.0-1mint2+zara) zara; urgency=medium

  [ Michael Webster ]
  * Allow the theme name to determine the applied color-scheme if there's no overriding app/system preference. (#1)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Aug 2025 09:57:40 +0200

libadwaita-1 (1.5.0-1mint1) zara; urgency=medium

  [ Michael Webster ]
  * adw-style-manager.c: Try to use the current system theme for style info.
  * build: Install a copy of the default theme as 'LibAdwaita' as part of the libadwaita-1-examples package.
  * AdwSettings: Watch for theme name changes via xdg-portal or gsettings.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 May 2025 12:07:51 +0100

## libadwaita-1 1.5.0-2mint3+zara

=== debian/changelog ===
libadwaita-1 (1.5.0-2mint3+zara) zara; urgency=medium

  * Bump version

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 02 Sep 2025 15:17:23 +0200

libadwaita-1 (1.5.0-1mint2) zara; urgency=medium

  [ Michael Webster ]
  * Allow the theme name to determine the applied color-scheme if there's no overriding app/system preference. (#1)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Aug 2025 09:57:40 +0200

## libadwaita-1 1.5.2

=== debian/changelog ===
libadwaita-1 (1.5.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian (LP: #2067418). Remaining changes:
    - Add patch to support Yaru accent colors using Adwaita theming
    - Set minimum GTK4 to 4.13.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 15:04:28 -0400

libadwaita-1 (1.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 14:32:35 -0400

libadwaita-1 (1.5.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian (LP: #2067418). Remaining changes:
    - Add patch to support Yaru accent colors using Adwaita theming
    - Set minimum GTK4 to 4.13.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 15:49:06 -0400

libadwaita-1 (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 15:46:47 -0400

## libadwaita-1 1.6.0

=== debian/changelog ===
libadwaita-1 (1.6.0-1ubuntu2) oracular; urgency=medium

  * d/p/ubuntu/wartybrown: Do not remove yellow accent color yaru support
    (LP: #2083617)
  * d/p/accent-colors: Move all wartybrown color bits to different patch.
    This helps later removal of the patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 03 Oct 2024 16:47:13 +0200

libadwaita-1 (1.6.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patches to adjust accent colors for Ubuntu
    - Add patch to set orange as default accent color instead of blue
    - Add patch to temporarily include a warty brown accent color

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 22:49:21 -0400

libadwaita-1 (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * Remove patch applied in new release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 15 Sep 2024 17:33:05 -0400

libadwaita-1 (1.6~rc-2) experimental; urgency=medium

  * Team upload
  * d/p/test-bottom-sheet-Pass-alignment-in-varargs-correctly.patch:
    Add proposed patch to fix undefined behaviour in a unit test
    (Closes: #1080324, #1080325)

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Sep 2024 11:04:06 +0100

libadwaita-1 (1.6~rc-1ubuntu1) oracular; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Merge with debian
  * d/p/u/style-Add-wartybrown-accent-support.patch: Rebase.
  * d/p/u/style-Add-wartybrown-accent-support.patch: Some more colors matching brown in the tests.

  [ Marco Trevisan (Treviño) ]
  * d/p/warty-brown: Fix patch syntax
  * debian/patches: Refresh indexes
  * d/p/Yaru-accent-colors: Improve computation of colors based on contrast
  * d/p/Yaru-accent-colors: Properly export yaru accent background color
  * d/p/wartybrown-accent: Use actual warty window background color

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 06 Sep 2024 07:44:18 +0200

libadwaita-1 (1.6~rc-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Marco Trevisan (Treviño) ]
  * debian/control: Add test dependency on mesa-vulkan-drivers

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Aug 2024 22:09:24 -0400

libadwaita-1 (1.6~beta-1ubuntu4) oracular; urgency=medium

  * debian/control: Add test dependency on mesa-vulkan-drivers

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Aug 2024 21:08:11 -0400

libadwaita-1 (1.6~beta-1ubuntu3) oracular; urgency=medium

  * d/p/wartybrown-support: Fix detection of nearest color when using brown

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Aug 2024 20:27:18 -0400

libadwaita-1 (1.6~beta-1ubuntu2) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian, containing new upstream release
  * d/p/ubuntu: Always return orange as default accent color
  * d/p/yaru-accent-colors:
    - Update to support upstream accent colors
    - Use yaru accent color from system settings if any
    - Always expose and use yaru colors values when in Yaru
    - Handle overriding yaru colors from inspector
    - Add definition for yellow color
    - Drop support for bark and viridian accent colors
  * d/p/ubuntu: Add temporary warty brown accent color support
  * Add back missing ubuntu changelog entries

  [ Jeremy Bícha ]
  * Update debian/gbp.conf

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Aug 2024 08:29:40 -0400

libadwaita-1 (1.6~beta-1ubuntu1) oracular; urgency=medium

  * Temporarily ignore build test failures on s390x

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 20:20:20 -0400

libadwaita-1 (1.6~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libadwaita-1-0.symbols: Add new symbols
  * Bump minimum GTK4 to 4.15.2
  * Build tests separately from main build to avoid including exported
    private symbols
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 15:18:00 -0400

libadwaita-1 (1.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 14:45:20 -0400

libadwaita-1 (1.5.2-2) unstable; urgency=medium

  * Set minimum GTK4 to 4.13.4
  * Revert "Revert 3 commits bumping minimum GTK4"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 14:38:54 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -13,8 +13,9 @@
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.76.0),
                libgnome-desktop-3-dev,
-               libgtk-4-dev (>= 4.13.4),
+               libgtk-4-dev (>= 4.15.2),
                libxml2-utils,
+               mesa-vulkan-drivers <!nocheck>,
                meson (>= 0.59.0),
                pkgconf,
                python3-gi (>= 3.40) <!nocheck>,
@@ -23,10 +24,10 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gnome.pages.gitlab.gnome.org/libadwaita/
-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita/tree/ubuntu/latest
-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
+Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
 Rules-Requires-Root: no
 
 Package: libadwaita-1-0
@@ -47,7 +48,7 @@
 Depends: gir1.2-adw-1 (= ${binary:Version}),
          libadwaita-1-0 (= ${binary:Version}),
          libappstream-dev,
-         libgtk-4-dev (>= 4.13.4),
+         libgtk-4-dev (>= 4.15.2),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Tests: build-test
 Depends: build-essential,
          libadwaita-1-dev,
-         pkg-config,
+         pkgconf,
          xauth,
          xvfb
 Restrictions: superficial

## libadwaita-1 1.6.2

=== debian/changelog ===
libadwaita-1 (1.6.2-1ubuntu0.24.10.1) oracular; urgency=medium

  * New bugfix release 1.6.2 (LP: #2090847). No packaging changes
    (i.e. those in debian/) were carried from the development release.

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Tue, 17 Dec 2024 09:57:30 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,19 @@
 %:
 	dh $@
 
+# Build libadwaita twice to not include internal symbols
+# in our release build. Internal symbols are used for tests
 override_dh_auto_configure:
-	dh_auto_configure -- $(BUILD_DOCS)
+	dh_auto_configure -- $(BUILD_DOCS) -Dtests=false
+	dh_auto_configure --builddirectory=debian/testtmp -- \
+		 -Dexamples=false \
+		 -Dgtk_doc=false \
+		 -Dtests=true
+
+execute_after_dh_auto_build:
+	dh_auto_build --builddirectory=debian/testtmp
 
 override_dh_auto_test:
-	xvfb-run -s -noreset dh_auto_test
+	xvfb-run -s -noreset dh_auto_test --builddirectory=debian/testtmp
 
 override_dh_gnome_clean:

## libadwaita-1 1.6.3

=== debian/changelog ===
libadwaita-1 (1.6.3-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Nathan Pratta Teodosio ]
  * Add debian/clean for debian/testtmp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Jan 2025 18:51:23 -0500

libadwaita-1 (1.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 11:13:17 -0500

libadwaita-1 (1.6.1-2) unstable; urgency=medium

  * Team upload
  * d/rules, d/tests: Consistently use the same arguments for xvfb-run
    - Explicitly set a screen size, which for whatever reason works
      around a crash during libunwind initialization
      (Mitigates: #1082659, #1084230)
    - Don't reset the X server when a client exits
    - Send diagnostic messages to stderr
    - Automatically choose a display number

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 15:32:48 +0000

libadwaita-1 (1.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 15:04:30 -0400

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	dh_auto_build --builddirectory=debian/testtmp
 
 override_dh_auto_test:
-	xvfb-run -s -noreset dh_auto_test --builddirectory=debian/testtmp
+	xvfb-run -a -s "-screen 0 1024x768x24 -noreset" -e /proc/self/fd/2 \
+		dh_auto_test --builddirectory=debian/testtmp
 
 override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/libadwaita/cache.json \
	1.6/libadwaita-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@
